Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class ContentModifiedNotifier

    java.lang.Object
      org.apache.slide.event.ContentAdapter
          org.apache.slide.event.ContentModifiedNotifier

All Implemented Interfaces:
  Configurable, ContentListener, java.util.EventListener

public class ContentModifiedNotifier
extends ContentAdapter
implements Configurable

Fires an UriModifiedEvent whenever an Uri is modified.

Field Summary
`protected static java.lang.String` | `LOG_CHANNEL`

Constructor Summary
`ContentModifiedNotifier()`

Method Summary
`void` | `configure(Configuration configuration)`
`void` | `create(ContentEvent event)`
`void` | `fork(ContentEvent event)`
`void` | `merge(ContentEvent event)`
`void` | `notify(ContentEvent event)`
`void` | `remove(ContentEvent event)`
`void` | `retrieve(ContentEvent event)`
`void` | `store(ContentEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_CHANNEL

    protected static final java.lang.String LOG_CHANNEL

Constructor Detail

### ContentModifiedNotifier

    public ContentModifiedNotifier()

Method Detail

### create

    public void create(ContentEvent event)

  Specified by:
    `create` in interface `ContentListener`
  Overrides:
    `create` in class `ContentAdapter`

### fork

    public void fork(ContentEvent event)

  Specified by:
    `fork` in interface `ContentListener`
  Overrides:
    `fork` in class `ContentAdapter`

### merge

    public void merge(ContentEvent event)

  Specified by:
    `merge` in interface `ContentListener`
  Overrides:
    `merge` in class `ContentAdapter`

### remove

    public void remove(ContentEvent event)

  Specified by:
    `remove` in interface `ContentListener`
  Overrides:
    `remove` in class `ContentAdapter`

### retrieve

    public void retrieve(ContentEvent event)

  Specified by:
    `retrieve` in interface `ContentListener`
  Overrides:
    `retrieve` in class `ContentAdapter`

### store

    public void store(ContentEvent event)

  Specified by:
    `store` in interface `ContentListener`
  Overrides:
    `store` in class `ContentAdapter`

### configure

    public void configure(Configuration configuration)
                   throws ConfigurationException

  Specified by:
    `configure` in interface `Configurable`
  Throws:
    `ConfigurationException`

### notify

    public void notify(ContentEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD